restinio::router::easy_parser_router::impl::dsl_processor< Args > Struct Template Reference

The main meta-function for processing route DSL. More...

`#include <easy_parser_router.hpp>`

## Public Types

using | arg_types = meta::transform_t< dsl_details::special_decay, meta::type_list< Args... > >
using | result_tuple = dsl_details::detect_result_tuple_t< arg_types >
using | clauses_tuple = dsl_details::make_clauses_types_t< arg_types >

## Detailed Description

template<typename... Args>
struct restinio::router::easy_parser_router::impl::dsl_processor< Args >

The main meta-function for processing route DSL.

It takes types of user-supplied clauses/produces and makes two types:

- result_tuple. This is a type of std::tuple for holding all values produced by producers from Args. This tuple can be an empty tuple.
- clauses_tuple. This a type of std::tuple with clauses for parsing of a user's route.

Since
  v.0.6.6

Definition at line 516 of file easy_parser_router.hpp.

## Member Typedef Documentation

## arg_types

template<typename... Args>

using restinio::router::easy_parser_router::impl::dsl_processor< Args >::arg_types = meta::transform_t< dsl_details::special_decay, meta::type_list<Args...> >

Definition at line 520 of file easy_parser_router.hpp.

## clauses_tuple

template<typename... Args>

using restinio::router::easy_parser_router::impl::dsl_processor< Args >::clauses_tuple = dsl_details::make_clauses_types_t< arg_types >

Definition at line 525 of file easy_parser_router.hpp.

## result_tuple

template<typename... Args>

using restinio::router::easy_parser_router::impl::dsl_processor< Args >::result_tuple = dsl_details::detect_result_tuple_t< arg_types >

Definition at line 523 of file easy_parser_router.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/easy_parser_router.hpp